Mark bulk job upload as complete
Mark the upload of documents as complete for a bulk job. End user won’t upload more docs for this job.
Important: Only call this endpoint after successfully uploading all documents to their respective pre-signed URLs obtained from the create job response.
Authentication
AuthorizationBearer
OAuth2 authentication.
- Demo:
- authorizationUrl: https://account-d.docusign.com/oauth/auth
- tokenUrl: https://account-d.docusign.com/oauth/token
- Production:
- authorizationUrl: https://account.docusign.com/oauth/auth
- tokenUrl: https://account.docusign.com/oauth/token
Path parameters
accountId
jobId
Response
The updated bulk job
id
Id for job
name
User provided name for this job
status
Job lifecycle states:
- OPEN - Job created and accepting documents
- UPLOAD_COMPLETE - All documents have been received, and processing has not yet started
- IN_PROGRESS - Documents are being processed (AI extraction)
- COMPLETE - The full e2e process is complete
- FAILED - System error prevented job execution
- CANCELED - User initiated request to cancel a job
status_enum
created_at
modified_at
expires_at
metadata
Properties about THIS request/response, not the job resource itself
external_job_id
User provided reference ID for this job
ttl_period
ISO 8601 duration for job validity
upload_settings
Upload configuration settings for the bulk job
ai_processing
AI processing status for BULK_API_INGESTION jobs. Always present; resume_ai_triggered_at is set only for jobs where resume-AI processing was triggered.
summary
Aggregate document counts. Always present in the job status response alongside _embedded.documents (when include_document_details=true) or as the sole count source (when false).
_embedded
Contains detailed information about the BulkJob including presigned upload links, document IDs, etc
_action_templates
_links
constraints
Describes the limits of a bulk job, or an action associated with a bulk job
message
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error